petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionSetFieldName

Sets the name of a field in the PetscSection

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionSetFieldName(PetscSection s, PetscInt field, const char fieldName[])

Not Collective

### Input Parameters

| s | - the PetscSection
| field | - the field number
| fieldName | - the field name

### See Also

PetscSectionGetFieldName()

### Level

developer

### Location

src/vec/is/utils/vsectionis.c

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages